/*
 * @Author: Kane
 * @Date: 2022-12-15 14:08:28
 * @LastEditors: Kane
 * @LastEditTime: 2022-12-16 16:15:24
 * @FilePath: \AdminSys\src\main\java\com\cpic\xim\myutils\account\CpicXIMStaffInfo.java
 * @Description: 产险厦门分公司员工信息对象
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.myutils.account;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import com.fasterxml.jackson.annotation.JsonProperty;

public class CpicXIMStaffInfo
{
    public static CpicXIMStaffInfo getStaffInfo( String uidOrCode )
            throws SQLException, ClassNotFoundException
    {
        CpicXIMStaffInfo info = new CpicXIMStaffInfo();

        Connection connection = null;
        PreparedStatement stmt = null;
        ResultSet result = null;

        String jdbcURL = "jdbc:oracle:thin:@10.39.0.86:1521:xmcx1";
        String userName = "dataex";
        String password = "Cpic123456";
        String querySQL = "SELECT ry.staff_code, ry.staff_name, ry.p13uid "
                + "  FROM idst0.rydm_t ry WHERE ry.account_status = 0"
                + "   AND (ry.staff_code = ? OR ry.p13uid = ?)";

        try
        {
            Class.forName( "oracle.jdbc.driver.OracleDriver" );

            connection = DriverManager.getConnection( jdbcURL, userName, password );
        }
        finally
        {
            try
            {
                if ( result != null)
                {
                    result.close();
                }
            }
            catch ( Exception exception )
            {
                exception.printStackTrace();
            }

            try
            {
                if ( stmt != null)
                {
                    stmt.close();
                }
            }
            catch ( Exception exception )
            {
                exception.printStackTrace();
            }

            try
            {
                if ( connection != null)
                {
                    connection.close();
                }
            }
            catch ( Exception exception )
            {
                exception.printStackTrace();
            }
        }

        return info;
    }

    private CpicXIMStaffInfo()
    {}

    public String getName()
    {
        return name;
    }

    public void setName( String name )
    {
        this.name = name;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode( String code )
    {
        this.code = code;
    }

    public String getP13UID()
    {
        return p13UID;
    }

    public void setP13UID( String p13uid )
    {
        p13UID = p13uid;
    }

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }

    public void setDepartmentName( String departmentName )
    {
        this.departmentName = departmentName;
    }

    @JsonProperty( "name")
    private String name;

    @JsonProperty( "name")
    private String code;

    @JsonProperty( "name")
    private String p13UID;

    @JsonProperty( "name")
    private String departmentCode;

    @JsonProperty( "name")
    private String departmentName;
}
